#include <QApplication>
#include <QtGui>

class MyDialog2 : public QDialog
{
   public:
      MyDialog2() 
      {
         QPushButton *button1 = new QPushButton("Bouton 1");
         QPushButton *button2 = new QPushButton("Bouton 2");
         QPushButton *closeButton = new QPushButton("&Fermer");   
        
         connect(closeButton, SIGNAL(clicked()), this, SLOT(close()));
         
         QHBoxLayout *layout = new QHBoxLayout;
         layout->addWidget(button1);
         layout->addWidget(button2);
         layout->addWidget(closeButton);         
         setLayout(layout);
         
         setWindowTitle(tr("QHBoxLayout"));
         setFixedHeight(sizeHint().height());
      }
};

class MyDialog : public QDialog
{
   Q_OBJECT
   
   public:
      MyDialog() 
      {
         QPushButton *button = new QPushButton("QHBoxLayout");
         QPushButton *closeButton = new QPushButton("&Fermer");   
        
         connect(button, SIGNAL(clicked()), this, SLOT(hbox()));
         connect(closeButton, SIGNAL(clicked()), this, SLOT(close()));
         
         QVBoxLayout *layout = new QVBoxLayout;
         layout->addWidget(button);
         layout->addWidget(closeButton);         
         setLayout(layout);
         
         setWindowTitle(tr("QVBoxLayout"));
         setFixedHeight(sizeHint().height());
      }
      
   private slots:
      void hbox()
      {
         MyDialog2 *myDialog = new MyDialog2;
         myDialog->show();
      }
};

#include "moc_MyDialog.h"

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  MyDialog myDialog;

  myDialog.show();

  return app.exec();
}
