#include <QApplication>
#include <QDebug>

// Un objet "verbeux"
class VerboseObject : public QObject
{
    public:
        VerboseObject( QObject *parent=0, QString name=0 ) : QObject( parent )
	{
            setObjectName( name );
            qDebug() << "Created: " << objectName();
	}
	
	~VerboseObject()
	{
            qDebug() << "Deleted: " << objectName();
	}
	
	void doStuff()
	{
            qDebug() << "Do stuff " << objectName();
	}
};

int main( int argc, char **argv )
{
    QApplication a( argc, argv );

    // Création des  instances
    VerboseObject top( 0, "top" );
    VerboseObject *x = new VerboseObject( &top, "x" );
    VerboseObject *y = new VerboseObject( &top, "y" );
    VerboseObject *z = new VerboseObject( x, "z" );

    top.doStuff();
    x->doStuff();
    y->doStuff();
    z->doStuff();

    return 0;
}
