#include <QApplication>
#include <QLocale>
#include <QtGui>

#include <QAbstractTableModel>
#include <QTableView>

#include <QItemSelection>

class PaysTableModel : public QAbstractTableModel
{
    private:
        QStringList listePays;

    public:
        PaysTableModel(const QStringList &listePays, QObject *parent = 0):QAbstractTableModel(parent)
        {if (listePays.count() > 0) this->listePays = listePays;}
        ~PaysTableModel() {}
        int rowCount(const QModelIndex &parent = QModelIndex()) const
        { return this->listePays.count(); }
        int columnCount(const QModelIndex &parent = QModelIndex()) const
        { return 2; }
        QVariant data(const QModelIndex &index, int role) const
        {
           if (! index.isValid())
                return QVariant();
           if (((unsigned int) index.row() >= this->listePays.count()) || (index.column() >= 2))
                return QVariant();
           if ((role == Qt::DisplayRole))
           {
              if(index.column() == 0)
                return this->listePays.at(index.row());
           }
           else return QVariant();
        }
};

int main(int argc, char *argv[])
{
     QApplication app(argc, argv);
     QMainWindow  mainWindow;
     QWidget      tableWidget;

     QStringList listePays;
     listePays << "France" << "Angleterre" << "Espagne" << "Italie" << "Allemagne";

     PaysTableModel *modele = new PaysTableModel(listePays);

     QTableView *vueTable = new QTableView;
     vueTable->setModel(modele);

     QHBoxLayout *layout = new QHBoxLayout;
     layout->addWidget(vueTable);
     tableWidget.setLayout(layout);
     mainWindow.setCentralWidget(&tableWidget);
     mainWindow.setWindowTitle("Exemple 3");
     mainWindow.show();

     return app.exec();
}
