#include <QApplication>
#include <QtGui>

class MyDialog : public QDialog
{
   Q_OBJECT
   
   public:
      MyDialog() 
      {
         QPushButton *modalButton1 = new QPushButton("Modale : QInputDialog");
         QPushButton *modalButton2 = new QPushButton("Modale : QColorDialog");
         QPushButton *nomodalButton = new QPushButton("Non modale : QErrorMessage");
         QPushButton *closeButton = new QPushButton("&Fermer");   

         errorMessageDialog = new QErrorMessage(this);
         
         connect(modalButton1, SIGNAL(clicked()), this, SLOT(setItem()));
         connect(modalButton2, SIGNAL(clicked()), this, SLOT(setColor()));
         connect(nomodalButton, SIGNAL(clicked()), this, SLOT(showMessage()));
         connect(closeButton, SIGNAL(clicked()), this, SLOT(close()));
         
         QVBoxLayout *layout = new QVBoxLayout;
         layout->addWidget(modalButton1);
         layout->addWidget(modalButton2);
         layout->addStretch();
         layout->addWidget(nomodalButton);
         layout->addStretch();
         layout->addWidget(closeButton);         
         setLayout(layout);
         
         setWindowTitle(tr("Modale ou non modale"));
         setFixedHeight(sizeHint().height());
      }
   private :
      QErrorMessage *errorMessageDialog;
      
   private slots:
      void setItem()
      {
         QStringList items;
         items << QString::fromUtf8("Printemps") << QString::fromUtf8("Été") << QString::fromUtf8("Automne") << QString::fromUtf8("Hiver");
         bool ok;
         QString item = QInputDialog::getItem(this, "QInputDialog::getItem()", "Dans quelle saison sommes-nous ?", items, 0, false, &ok);
         if (ok && !item.isEmpty())
            QMessageBox::information(this, QString::fromUtf8("Réponse"), item);
      }
      void setColor()
      {
         QColor color = QColorDialog::getColor(Qt::green, this);
         if (color.isValid()) 
         {
            this->setPalette(QPalette(color));
            this->setAutoFillBackground(true);
         }
      }
      void showMessage()
      {         
         errorMessageDialog->showMessage("bla bla bla ...");
      }
};

#include "moc_MyDialog.h"

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  MyDialog myDialog;

  myDialog.show();

  return app.exec();
}
