#include <QApplication>
#include <QtGui>
#include <QDebug>

/* Liens : 
 * http://developer.qt.nokia.com/doc/qt-4.8/qstyle.html 
 * http://developer.qt.nokia.com/doc/qt-4.8/widgets-styles.html
 */

class MyDialog : public QDialog
{
   Q_OBJECT
   public:
      MyDialog(QWidget *parent) : QDialog(parent)
      {
         QComboBox *styleComboBox = new QComboBox;
         styleComboBox->addItems(QStyleFactory::keys());
         qDebug() << QStyleFactory::keys();
         QLabel *styleLabel = new QLabel(tr("&Style :"));
         styleLabel->setBuddy(styleComboBox);
         
         connect(styleComboBox, SIGNAL(activated(QString)), this, SLOT(changeStyle(QString)));
         
         QPushButton *closeButton = new QPushButton(tr("&Fermer"));   
         
         connect(closeButton, SIGNAL(clicked()), this, SLOT(close()));
         
         QVBoxLayout *layout = new QVBoxLayout;
         layout->addWidget(styleComboBox);
         layout->addStretch();
         layout->addWidget(closeButton);         
         setLayout(layout);
         
         setWindowTitle(tr("Exemple : style"));
         setFixedHeight(sizeHint().height());
         
         /* Exemple de liste de style disponible :
          * "IaOra-Qt", "IaOraKde", "Oxygen", "Windows", "Motif", "CDE", "Plastique", "GTK+", "Cleanlooks"
          */
         //changeStyle("IaOra-Qt"); styleComboBox->setCurrentIndex(0);
         //changeStyle("IaOraKde"); styleComboBox->setCurrentIndex(1);
         //changeStyle("Oxygen"); styleComboBox->setCurrentIndex(2);
         //changeStyle("Windows"); styleComboBox->setCurrentIndex(3);
         //changeStyle("Motif"); styleComboBox->setCurrentIndex(4);
         //changeStyle("CDE"); styleComboBox->setCurrentIndex(5);
         //changeStyle("Plastique"); styleComboBox->setCurrentIndex(6);
         changeStyle("GTK+"); styleComboBox->setCurrentIndex(7);
         //changeStyle("Cleanlooks"); styleComboBox->setCurrentIndex(8);
      }

   private slots:
      void changeStyle(const QString &styleName)
      {
         QApplication::setStyle(QStyleFactory::create(styleName));
         QApplication::setPalette(QApplication::style()->standardPalette());
      }
};

/* Générer avec : moc MyDialog.cpp -o moc_MyDialog.h */
#include "moc_MyDialog.h"

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  MyDialog *myDialog = new MyDialog(0);

  myDialog->show();

  return app.exec();
}
