#include <QApplication>
#include <QtGui>

class MyMainWindow : public QMainWindow
{
   public:
      MyMainWindow() 
      {
         QWidget *centralWidget = new QWidget;
         setCentralWidget(centralWidget);
         
         QMenu *fileMenu = new QMenu(tr("&Fichier"), this);
         menuBar()->addMenu(fileMenu);

         QAction *actionNouveau = new QAction(QIcon(":/images/new.png"), tr("&Nouveau"), this);
         actionNouveau->setShortcuts(QKeySequence::New);
         actionNouveau->setStatusTip(QString::fromUtf8("Créer un nouveau fichier"));
      
         fileMenu->addAction(actionNouveau);
         
         //ajout d'une barre de séparation
         fileMenu->addSeparator();
         
         QAction *actionQuit = fileMenu->addAction(tr("&Quitter"), qApp, SLOT(quit()), QKeySequence::Quit);
         actionQuit->setStatusTip("Quitter l'application");
         actionQuit->setIcon(QIcon(":/images/quit.png"));
         
         QToolBar *fileToolBar = addToolBar("Fichier");        
         //fileToolBar->setMovable(false);
         //fileToolBar->setFloatable(false);
         
         fileToolBar->addAction(actionNouveau);
         fileToolBar->addAction(actionQuit);

         QStatusBar *barreEtat = statusBar();
         
         QProgressBar *progression = new QProgressBar;
         barreEtat->addPermanentWidget(progression);

         /*QLabel *label = new QLabel(tr("Ready"));
         barreEtat->addWidget(label);*/
         
         barreEtat->showMessage(QString::fromUtf8("Je suis la barre d'état"), 2000);
         //barreEtat->showMessage("Ready");
         
         setGeometry(500,550,480,280);
      }
};


int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  MyMainWindow myMainWindow;

  myMainWindow.show();

  return app.exec();
}
