#include <QApplication>
#include <QtGui>

class MyMainWindow : public QMainWindow
{
   public:
      MyMainWindow() 
      {
        QMenu *fileMenu = new QMenu(tr("&Fichier"), this);
        menuBar()->addMenu(fileMenu);

        fileMenu->addAction(tr("&Quitter"), qApp, SLOT(quit()), QKeySequence::Quit);
        
        QMenu *editMenu = new QMenu(QString::fromUtf8("&Édition"), this);
        menuBar()->addMenu(editMenu);
        
        QMenu *helpMenu = new QMenu(tr("Aid&e"), this);
        menuBar()->addMenu(helpMenu);
        
        QAction *actionHelp = new QAction(QString::fromUtf8("À propos de Qt"), this);
        helpMenu->addAction(actionHelp);
        actionHelp->setShortcut(QKeySequence(Qt::Key_F1)); //ou :
        //actionHelp->setShortcut(QKeySequence(QKeySequence::HelpContents));
        connect(actionHelp, SIGNAL(triggered()), qApp, SLOT(aboutQt()));
      }
};


int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  MyMainWindow myMainWindow;

  myMainWindow.show();

  return app.exec();
}
