#include <QApplication>
#include <QtGui>

class MyMainWindow : public QMainWindow
{
   public:
      MyMainWindow() 
      {
        QMenu *fileMenu = new QMenu(tr("&Fichier"), this);
        menuBar()->addMenu(fileMenu);

        QMenu *fileSubMenu = fileMenu->addMenu(QString::fromUtf8("&Récemment ouvert(s)"));
        fileSubMenu->addAction("Fichier1 [file1.txt]");
        fileSubMenu->addAction("Fichier2 [file2.txt]");
        fileSubMenu->addAction("Fichier3 [file3.txt]");

        //ajout d'une barre de séparation
        fileMenu->addSeparator();
        
        fileMenu->addAction(tr("&Quitter"), qApp, SLOT(quit()), QKeySequence::Quit);
        
        QMenu *editMenu = new QMenu(QString::fromUtf8("&Édition"), this);
        menuBar()->addMenu(editMenu);
        QAction *actionEdit = new QAction(QString::fromUtf8("Gras"), this);
        actionEdit->setCheckable(true);
        actionEdit->setChecked(true);
        editMenu->addAction(actionEdit);
        
        QMenu *helpMenu = new QMenu(tr("Aid&e"), this);
        menuBar()->addMenu(helpMenu);
        
        QAction *actionHelp = new QAction(QIcon("help.png"), QString::fromUtf8("À propos de Qt"), this);
        helpMenu->addAction(actionHelp);
        actionHelp->setShortcut(QKeySequence(Qt::Key_F1)); //ou :
        //actionHelp->setShortcut(QKeySequence(QKeySequence::HelpContents));
        //actionHelp->setIcon(QIcon(":/help.png"));

        connect(actionHelp, SIGNAL(triggered()), qApp, SLOT(aboutQt()));
      }
};


int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  MyMainWindow myMainWindow;

  myMainWindow.show();

  return app.exec();
}
