#include <QApplication>
#include <QtGui>

class MyMainWindow : public QMainWindow
{
   public:
      MyMainWindow() 
      {
        QMenu *fileMenu = new QMenu(tr("&Fichier"), this);
        menuBar()->addMenu(fileMenu);

        QAction *actionNouveau = new QAction(QIcon(":/images/new.png"), tr("&Nouveau"), this);
        actionNouveau->setShortcuts(QKeySequence::New);
    
        fileMenu->addAction(actionNouveau);
        
        //ajout d'une barre de séparation
        fileMenu->addSeparator();
        
        QAction *actionQuit = fileMenu->addAction(tr("&Quitter"), qApp, SLOT(quit()), QKeySequence::Quit);
        actionQuit->setIcon(QIcon(":/images/quit.png"));
        
        QToolBar *fileToolBar = addToolBar("Fichier");
        
        //fileToolBar->setMovable(false);
        //fileToolBar->setFloatable(false);
        
        fileToolBar->addAction(actionNouveau);
        fileToolBar->addAction(actionQuit);
        fileToolBar->addSeparator();
        
        QFontComboBox *fontComboBox = new QFontComboBox;
        fileToolBar->addWidget(fontComboBox);
      }
};


int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  MyMainWindow myMainWindow;

  myMainWindow.show();

  return app.exec();
}
