#include <QApplication>
#include <QPushButton>
#include <QWidget>
#include <QPainter>

class MyWidget : public QWidget
{
   public:
      MyWidget( QWidget *parent = 0 ) : QWidget( parent ) {}
      void paintEvent(QPaintEvent* e) 
      {
         QWidget::paintEvent(e); // effectue le comportement standard (afficher le fond ...)
         QPainter painter(this);
         
         painter.setPen( QPen(Qt::red, 2) );
         painter.drawRect( 25, 15, 120, 60 );
      }
};


int main(int argc, char **argv)
{
   QApplication app(argc, argv);
   MyWidget box;
   box.resize(170, 125);

   QPushButton quitBtn("Quit", &box);
   quitBtn.resize(120, 30);
   quitBtn.move(25, 85);

   QObject::connect(&quitBtn, SIGNAL(clicked( )), &app, SLOT(quit( ) ) );

   box.show();
   
   return app.exec();
}
