#include <QApplication>
#include <QPushButton>
#include <QWidget>
#include <QPainter>

class MyWidget : public QWidget
{
   public:
      MyWidget( QWidget *parent = 0 ) : QWidget( parent ) {}
      void paintEvent(QPaintEvent* e) 
      {
         QWidget::paintEvent(e); // effectue le comportement standard (afficher le fond ...)
         QPainter painter(this);
         QPen pen;
         QBrush brush;
         
         /*painter.setPen( QPen(Qt::black, 2) );
         painter.drawEllipse(QRect(20, 10, 130, 70));
         painter.drawRect(QRect(20, 10, 130, 70));*/
         
         QRegion r1(QRect(20, 10, 130, 70), QRegion::Ellipse); // r1: elliptic region         
         QRegion r2(QRect(20, 10, 130, 70)); // r2: rectangular region         
         QRegion r3 = r1.intersected(r2); // r3: intersection
         QRegion r4 = r1.xored(r2); // r3: intersection

         //painter.setClipRegion(r3);
         painter.setClipRegion(r4);

         brush.setStyle(Qt::CrossPattern);
         brush.setColor(Qt::blue);

         painter.setBrush( brush );
         painter.setPen( QPen(Qt::red, 2) );
         painter.drawRect( 25, 15, 120, 60 );
         
         
      }
};


int main(int argc, char **argv)
{
   QApplication app(argc, argv);
   MyWidget box;
   box.resize(170, 125);

   QPushButton quitBtn("Quit", &box);
   quitBtn.resize(120, 30);
   quitBtn.move(25, 85);

   QObject::connect(&quitBtn, SIGNAL(clicked( )), &app, SLOT(quit( ) ) );

   box.show();
   
   return app.exec();
}
