#include <QApplication>
#include <QSpinBox>
#include <QLabel>
#include <QWidget>
#include <QGridLayout>
#include <QVBoxLayout>
#include <QPainter>

class MyWidget : public QWidget
{
   Q_OBJECT
   
   qreal rotationAngle;
   
   public:
      MyWidget( QWidget *parent = 0 ) : QWidget( parent ) {}
      void paintEvent(QPaintEvent* e) 
      {
         QWidget::paintEvent(e); // effectue le comportement standard (afficher le fond ...)
         QPainter painter(this);

         painter.setRenderHint(QPainter::Antialiasing);
         painter.scale(width() / 100.0, height() / 100.0);
         painter.translate(50.0, 50.0);
         painter.rotate(-rotationAngle);
         painter.translate(-50.0, -50.0);
         
         painter.setPen( QPen(Qt::red, 2) );
         painter.drawRect( 25, 15, 50, 60 );
      }
   public slots:
      void setRotationAngle(int degrees)
      {
         rotationAngle = (qreal)degrees;
         update();
      }
};

#include "moc_exemple5b.h"

int main(int argc, char **argv)
{
   QApplication app(argc, argv);
   MyWidget box;
   box.resize(170, 125);

   QSpinBox *rotationAngleSpinBox = new QSpinBox;
   rotationAngleSpinBox->setRange(0, 359);
   rotationAngleSpinBox->setWrapping(true);
   rotationAngleSpinBox->setSuffix("\xB0");

   QLabel *rotationAngleLabel = new QLabel("&Rotation Angle :");
   rotationAngleLabel->setBuddy(rotationAngleSpinBox);
   
   QGridLayout *mainLayout = new QGridLayout;
   mainLayout->addWidget(rotationAngleLabel, 0, 0);
   mainLayout->addWidget(rotationAngleSpinBox, 0, 1);
   box.setLayout(mainLayout);
   
   QObject::connect(rotationAngleSpinBox, SIGNAL(valueChanged(int)), &box, SLOT(setRotationAngle(int)));
   
   box.show();
   
   return app.exec();
}
