#include <QApplication>
#include <QPushButton>
#include <QWidget>
#include <QPainter>

class MyWidget : public QWidget
{
   public:
      MyWidget( QWidget *parent = 0 ) : QWidget( parent ) {}
      void paintEvent(QPaintEvent* e) 
      {
         QWidget::paintEvent(e);
         QPainter painter(this);

         QRect rect(0, 0, 170, 45);
         QPixmap pixmap;
         pixmap.load("qt-logo.png");
         
         painter.setPen( QPen(Qt::green, 2, Qt::DashDotLine) );
         painter.drawText(rect, Qt::AlignCenter, tr("Qt by\nNokia"));
         //painter.drawRect( rect );
         painter.drawPixmap(45, 50, pixmap);
      }
};


int main(int argc, char **argv)
{
   QApplication app(argc, argv);
   MyWidget box;
   box.resize(170, 185);

   QPushButton quitBtn("Quit", &box);
   quitBtn.resize(120, 30);
   quitBtn.move(25, 145);

   QObject::connect(&quitBtn, SIGNAL(clicked( )), &app, SLOT(quit( ) ) );

   box.show();
   
   return app.exec();
}
