#include <QApplication>
#include <QtGui>

class MyLabel : public QLabel
{
   Q_OBJECT
   public:
      MyLabel( QLabel *parent = 0 ) : QLabel( parent ) 
      {
         QPalette palette;   
         palette.setColor(QPalette::Window, QColor(QColor(0,255,0)));   
         setAutoFillBackground(true);
         setPalette(palette);
         setFrameStyle(QFrame::Panel | QFrame::Sunken);      
         setText("mon label");
         setAlignment(Qt::AlignHCenter | Qt::AlignVCenter);
         
         QAction *quitAction = new QAction(tr("E&xit"), this);
         quitAction->setShortcut(tr("Ctrl+Q"));
         connect(quitAction, SIGNAL(triggered()), qApp, SLOT(quit()));
         addAction(quitAction);

         setContextMenuPolicy(Qt::ActionsContextMenu);
      }
      void mousePressEvent(QMouseEvent *event)
      {
         if(event->button() == Qt::LeftButton)
         {
            emit clicked();
         }    
      }
        
   private slots:
      void selection()
      {
         QMessageBox msgBox;
         msgBox.setText(QString::fromUtf8("Vous avez cliqué sur mon label !"));
         msgBox.exec();
      }
   
   signals:
      void clicked();
};

#include "moc_exemple7.h"

int main(int argc, char **argv)
{
   QApplication app(argc, argv);
   MyLabel myLabel;
   myLabel.resize(170, 185);

   QPushButton quitBtn("Quit", &myLabel);
   quitBtn.resize(120, 30);
   quitBtn.move(25, 145);

   QObject::connect(&quitBtn, SIGNAL(clicked( )), &app, SLOT(quit( ) ) );
   QObject::connect(&myLabel, SIGNAL(clicked( )), &myLabel, SLOT(selection( ) ) );
   
   myLabel.show();
   
   return app.exec();
}
