#include <QApplication>
#include <QPushButton>
#include <QWidget>
#include <QPainter>
#include <QPicture>

class MyWidget : public QWidget
{
   Q_OBJECT
   public:
      MyWidget( QWidget *parent = 0 ) : QWidget( parent ) {}
      void paintEvent(QPaintEvent* e) 
      {
         QPicture picture;
         picture.load("drawing.pic");
         QPainter painter;
         painter.begin(this);
         painter.drawPicture(0, 0, picture);
         painter.end();
      }
   public slots:
      void save()
      {
         QPicture picture;
         QPainter painter;
         painter.begin(&picture);
         painter.setPen( QPen(Qt::red, 2) );
         painter.drawEllipse(25, 10, 120, 70);
         painter.end();
         picture.save("drawing.pic");
      }
      void replay()
      {
         update();
      }
};

#include "moc_exemple8.h"

int main(int argc, char **argv)
{
   QApplication app(argc, argv);
   MyWidget box;
   box.resize(170, 225);

   QPushButton quitBtn("Quit", &box);
   quitBtn.resize(120, 30);
   quitBtn.move(25, 85);
   
   QPushButton saveBtn("Save Ellipse", &box);
   saveBtn.resize(120, 30);
   saveBtn.move(25, 125);
   
   QPushButton replayBtn("Replay", &box);
   replayBtn.resize(120, 30);
   replayBtn.move(25, 165);

   QObject::connect(&quitBtn, SIGNAL(clicked()), &app, SLOT(quit()));
   QObject::connect(&saveBtn, SIGNAL(clicked()), &box, SLOT(save()));
   QObject::connect(&replayBtn, SIGNAL(clicked()), &box, SLOT(replay()));

   box.show();
   
   return app.exec();
}
