#include <QApplication>
#include <QLabel>
#include <QPushButton>
#include <QFile>

/* Liens : 
 * http://developer.qt.nokia.com/doc/qt-4.8/stylesheet-syntax.html 
 * http://developer.qt.nokia.com/doc/qt-4.8/stylesheet-examples.html
 *
 * Exemple :
 * http://developer.qt.nokia.com/doc/qt-4.8/widgets-stylesheet.html
 */

int main( int argc, char* argv[] )
{
   QApplication MonAppli( argc, argv );
   QWidget *pMaFenetre = new QWidget();

   QFile file("qss/default.qss");
   if(file.open(QFile::ReadOnly))
   {
      QString styleSheet = QLatin1String(file.readAll());
      MonAppli.setStyleSheet(styleSheet);
   }
   
   //position horizontale et verticale de la fenetre, puis dimensions de la fenetre
   pMaFenetre->setGeometry(100,300,240,120);
   //pour forcer l'affichage avec les accents-> QString::fromUtf8
   QLabel* pMonTexte = new QLabel(QString::fromUtf8("<h2><center><em>Bonjour à tous</em></center></h2>"),pMaFenetre);
   pMonTexte->resize(150, 50);
   pMonTexte->move(50, 0);
   
   QPushButton *pMonBouton = new QPushButton("Quitter",pMaFenetre);
   pMonBouton->setGeometry(0,0,pMonTexte->width(),40);
   
   pMonBouton->setStyleSheet("background-color: green");
   pMonBouton->move(50, 50);
   pMonBouton->resize(150, 50);
   
   QObject::connect(pMonBouton, SIGNAL(clicked()), &MonAppli, SLOT(quit()));
   
   pMaFenetre->show();
   
   return MonAppli.exec();
}
